function OUT = RodMill_Derivadas( IN )

persistent	A B Mu Phi S b

dureza = 1;

% Parametros
Ni	= 10;
Rm	= 2.75;	% ton/m^3
Rw	= 1;		% ton/m^3
x	= [ 1000 710 500 355 250 180 125 90 63 45 38 ]' * 1e-3;	% mm

% Entradas
WF			= IN(1);
MF			= IN(2);
mFi		= IN(3:Ni+2);

H_mDi		= IN(Ni+3:2*Ni+2);

QD			= IN(2*Ni+3);	% m^3/hr

V			= IN(2*Ni+4);

d_bola	= IN(2*Ni+5);	% 76 (mm)
Alpha		= IN(2*Ni+6);	% 0.93
Beta		= IN(2*Ni+7);	% 4.50
Gamma		= IN(2*Ni+8);	% 0.51
Delta		= IN(2*Ni+9);	% 0.00
Lambda	= IN(2*Ni+10);	% 3.00
Phi(1)	= IN(2*Ni+11);	% 0.32

fi			= IN(2*Ni+12);	%0.8


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if isempty( A )
   A		= 29.7 / d_bola;
   Mu		= 0.032 * d_bola^1.2;
   
   Phi	= Phi(1) * ( x / x(1) ).^-Delta;
   for i=1:Ni
      for j=1:Ni
         if i > j
            B(i,j)	= Phi(j) * ( x(i-1) / x(j) )^Gamma + ( 1 - Phi(j) ) * ( x(i-1) / x(j) )^Beta;
         end
      end
   end
   B(Ni,Ni)	= 0;
   
   for i=1:Ni
      for j=1:Ni
         if i == Ni
            b(i,j)	= B(i,j);
         else
            b(i,j)	= B(i,j) - B(i+1,j);
         end
      end
   end
   
   S	= A * ( x(1:Ni) / x(1) ).^Alpha ./ ( 1 + ( x(1:Ni) / Mu ).^Lambda );
end

I=eye(Ni);
L = fi*I;
mDio =[0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1 0.1]';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

H			= sum(H_mDi);

mDi		= H_mDi / H;

CD			= H / V;

MD			= QD * CD;

dH_mDi	= MF * mFi - MD * mDi + H * b *L* (dureza*S .* mDi) +  H * b *(I-L)* (S .* mDio) ;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Salidas
OUT   	= dH_mDi;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
