function OUT = S_PTH(IN)

% Parametros
K	= 5;
Rs	= 2.75;	% ton/m^3
Rw	= 1;		% ton/m^3

% Entradas
Di	= IN(1);
Do	= IN(2);
WF	= IN(3);
MF	= IN(4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

QF		= MF / Rs + WF / Rw;

PTH	= ( QF / ( K * Do^0.73 * Di^0.86 ) )^( 1 / 0.42 );

PTH	= 0.75;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Salidas
OUT	= PTH;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
