function [E,G,Go,D,Do]=predictor1(par,n,m,q,h)

%-------------------------------------------------------------------------%
%Ref:Adaptive Predictive Control: From the concepts to plant optimization 
%Juan M. Martin Sanchez, Jose Rodellar                                     
%pag. 45-46																					  	
%-------------------------------------------------------------------------%

% Inicializacion de parametros del modelo predictivo
%----------------------------------------------------
e(1,:)=par(1:n)';
g(1,:)=par(n+1:n+m)';
d(1,:)=par(n+m+1:n+m+q)';


% Calculo de los parametros del modelo predictivo
%---------------------------------------------------
for j=1:(h-1)
  e(j,n+1)=0;
  g(j,m+1)=0;
  d(j,q+1)=0;
  for i=1:n;      e(j+1,i)=e(j,1)*par(i)+e(j,i+1);end
  for i=1:m;      g(j+1,i)=e(j,1)*par(n+i)+g(j,i+1);end  
  for i=1:q;      d(j+1,i)=e(j,1)*par(n+m+i)+d(j,i+1);end  
end 


% Generacion  de la matriz Go y Do
%-----------------------------------
for j=1:h
   for i=1:h
      if j==1
         Go(i,j)=g(i,j);
         Do(i,j)=d(i,j);
      elseif j>i
         Go(i,j)=0;
         Do(i,j)=0;
      else
         Go(i,j)=Go(i-1,j-1);
         Do(i,j)=Do(i-1,j-1);
      end
   end
end

E=e(:,1:n);

if m>=2;
   G=g(:,2:m);
else
   G=zeros(m,1);   
end

if q>=2;
   D=d(:,2:q);
else
   D=zeros(q,1);   
end

% Salidas 
%---------
E=E;
G=G;
Go=Go;
D=D;
Do=Do;


