function [E,G,Go,D1,Do1,W1,Wo1]=predictor2(par,n,m,q1,q2,h)

%-------------------------------------------------------------------------%
%Ref:Adaptive Predictive Control: From the concepts to plant optimization 
%Juan M. Martin Sanchez, Jose Rodellar                                     
%pag. 45-46																					  	
%-------------------------------------------------------------------------%

%inicializacion de parametros del modelo predictivo
e(1,:)=par(1:n)';
g(1,:)=par(n+1:n+m)';
d1(1,:)=par(n+m+1:n+m+q1)';
d2(1,:)=par(n+m+q1+1:n+m+q1+q2)';

%Calculo de los parametros del modelo predictivo
for j=1:(h-1)
  e(j,n+1)=0;
  g(j,m+1)=0;
  d1(j,q1+1)=0;
  d2(j,q2+1)=0;
  for i=1:n;      e(j+1,i)=e(j,1)*par(i)+e(j,i+1);end
  for i=1:m;      g(j+1,i)=e(j,1)*par(n+i)+g(j,i+1);end  
  for i=1:q1;     d1(j+1,i)=e(j,1)*par(n+m+i)+d1(j,i+1);end  
  for i=1:q2;     d2(j+1,i)=e(j,1)*par(n+m+q1+i)+d2(j,i+1);end  

end 


%%Generacion  de la matriz Go y Do
for j=1:h
   for i=1:h
      if j==1
         Go(i,j)=g(i,j);
         Do1(i,j)=d1(i,j);
         Do2(i,j)=d2(i,j);
      elseif j>i
         Go(i,j)=0;
         Do1(i,j)=0;
         Do2(i,j)=0;
      else
         Go(i,j)=Go(i-1,j-1);
         Do1(i,j)=Do1(i-1,j-1);
         Do2(i,j)=Do2(i-1,j-1);
      end
   end
end

E=e(:,1:n);

if m>=2;
   G=g(:,2:m);
else
   G=zeros(m,1);   
end

if q1>=2;
   D1=d1(:,2:q1);
else
   D1=zeros(q1,1);   
end

if q2>=2;
   D2=d2(:,2:q2);
else
   D2=zeros(q2,1);   
end

%-- Salidas --%
E=E;
G=G;
Go=Go;
D1=D1;
Do1=Do1;
W1=D2;
Wo1=Do2;


